net.sf.jasperreports.engine.base

## Class JRVirtualPrintPage

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRVirtualPrintPage

- All Implemented Interfaces:
    java.io.Serializable, JRPrintPage

      public class JRVirtualPrintPage
      extends java.lang.Object
      implements JRPrintPage, java.io.Serializable

  A print page that can be virtualized to free heap memory.
  Version:
    $Id: JRVirtualPrintPage.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    John Bindel
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JRVirtualPrintPage.JRIdHolderRenderer` Dummy image renderer that only stores the ID of a cached renderer.
    `static class` | `JRVirtualPrintPage.JRIdHolderTemplateElement`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.apache.commons.logging.Log` | `log`
    `static java.lang.String` | `PROPERTY_VIRTUAL_PAGE_ELEMENT_SIZE` Property that determines how many print elements will make up a virtual page handled as a unit by the virtualizer.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRVirtualPrintPage(JasperPrint printObject, JRVirtualizationContext virtualizationContext)` Constructs a virtualizable page.
    `JRVirtualPrintPage(JasperPrint printObject, JRVirtualizer virtualizer, JRVirtualizationContext virtualizationContext)` Deprecated. the virtualizer should be passed as part of the virtualization context, use `JRVirtualPrintPage(JasperPrint, JRVirtualizationContext)` instead

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addElement(JRPrintElement element)`
    `void` | `dispose()` Disposes this page's data.
    `java.util.List<JRPrintElement>` | `getElements()`
    `void` | `setElements(java.util.List<JRPrintElement> elements)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          protected static final org.apache.commons.logging.Log log

    - #### PROPERTY_VIRTUAL_PAGE_ELEMENT_SIZE

          public static final java.lang.String PROPERTY_VIRTUAL_PAGE_ELEMENT_SIZE

      Property that determines how many print elements will make up a virtual page handled as a unit by the virtualizer.

      For most paginated reports, a virtual page corresponds to a report page. But for non-paginated reports and for reports having very large pages, a report page is broken into several virtual pages which are handled individually by the virtualizer.

      This property provides the size of a virtual page in print elements. Note that virtual page sizes will actually vary around the configured size since there are cases when fewer elements remain on a report page and cases when the configured size is exceeded due to print frames being included at the end of virtual page.

      If set to 0 or negative, report pages will not be broken into several virtual pages.

      The property can be set at report and global levels or sent as a parameter value (as an integer, using the property name as parameter name). The default value is 2000.

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JRVirtualPrintPage

          public JRVirtualPrintPage(JasperPrint printObject,
                            JRVirtualizer virtualizer,
                            JRVirtualizationContext virtualizationContext)

      Deprecated. the virtualizer should be passed as part of the virtualization context, use `JRVirtualPrintPage(JasperPrint, JRVirtualizationContext)` instead
      Constructs a virtualizable page.

    - #### JRVirtualPrintPage

          public JRVirtualPrintPage(JasperPrint printObject,
                            JRVirtualizationContext virtualizationContext)

      Constructs a virtualizable page.

  - ### Method Detail

    - #### getElements

          public java.util.List<JRPrintElement> getElements()

      Specified by:
        `getElements` in interface `JRPrintPage`

    - #### setElements

          public void setElements(java.util.List<JRPrintElement> elements)

      Specified by:
        `setElements` in interface `JRPrintPage`

    - #### addElement

          public void addElement(JRPrintElement element)

      Specified by:
        `addElement` in interface `JRPrintPage`

    - #### dispose

          public void dispose()

      Disposes this page's data.

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com